(*  *)
(*   Autor:  Ignacio Prez Martn.  Fecha: 15 de Mayo de 2002.   *)
(*   Msica: Roco Lpez Abelaira.                               *)
(*  *)

IMPLEMENTATION MODULE Fant;
FROM Storage IMPORT ALLOCATE, DEALLOCATE;
IMPORT Graf, Graph;

CONST
   MASC_FANT  = Graph.FillMaskType(0F3H, 0F3H, 0FFH, 0FFH,
                                   0FFH, 0FFH, 0FFH, 0FFH);
   NORMAL     = Graph.FillMaskType(0FFH, 0FFH, 0FFH, 0FFH,
                                   0FFH, 0FFH, 0FFH, 0FFH);
   COLOR_FANT = 14;
   NEGRO      = 00;

TYPE
   TFant = POINTER TO RECORD
              pos : Graf.TPos;
           END;

PROCEDURE Crear(VAR f : TFant; pos : Graf.TPos);
BEGIN
   NEW(f);
   f^.pos := pos;
END Crear;

PROCEDURE Destruir(VAR f : TFant);
BEGIN
   DISPOSE(f);
END Destruir;

PROCEDURE Posicion(f : TFant) : Graf.TPos;
BEGIN
   RETURN(f^.pos);
END Posicion;

PROCEDURE Mover(VAR f : TFant; pos : Graf.TPos);
BEGIN
   Graph.SetFillMask(NORMAL);
   Graf.PintarCuadrado(f^.pos.x, f^.pos.y, NEGRO);
   f^.pos := pos;
   Graph.SetFillMask(MASC_FANT);
   Graf.PintarCuadrado(f^.pos.x, f^.pos.y, COLOR_FANT);
END Mover;

PROCEDURE Visualizar(f : TFant);
BEGIN
   Graph.SetFillMask(MASC_FANT);
   Graf.PintarCuadrado(f^.pos.x, f^.pos.y, COLOR_FANT);
END Visualizar;

BEGIN
END Fant.
