(*  *)
(*   Autor:  Ignacio Prez Martn.  Fecha: 15 de Mayo de 2002.   *)
(*   Msica: Roco Lpez Abelaira.                               *)
(*  *)

IMPLEMENTATION MODULE Music;
IMPORT Lib, IO;

CONST
  Do4 = 523; Re  = 588; Mi = 654; FaS = 726; SolS = 817; LaS = 908; Do5 = 1046;
  DoS = 545; ReS = 613; Fa = 697; Sol = 785; La   = 872; Si  = 981;

  Negra = 250; Blanca = 500;

TYPE
   TNota     = (do4, dos, re, res, mi, fa, fas, sol, sols, la, las, si, do5);

PROCEDURE Nota(nota : TNota; d : CARDINAL);
BEGIN
   CASE nota OF
      do4 : Lib.Sound(Do4); |
      dos : Lib.Sound(DoS); |
      re  : Lib.Sound(Re); |
      res : Lib.Sound(ReS); |
      mi  : Lib.Sound(Mi); |
      fa  : Lib.Sound(Fa); |
      fas : Lib.Sound(FaS); |
      sol : Lib.Sound(Sol); |
      sols : Lib.Sound(SolS); |
      la  : Lib.Sound(La); |
      las : Lib.Sound(LaS); |
      si  : Lib.Sound(Si); |
      do5 : Lib.Sound(Do5);
   END;
   Lib.Delay(d);
   Lib.NoSound;
END Nota;

PROCEDURE Beep(d : CARDINAL);
BEGIN
   Lib.Sound(200);
   Lib.Delay(d);
   Lib.Sound(400);
   Lib.Delay(d);
   Lib.NoSound;
END Beep;

PROCEDURE Ay(d : CARDINAL);
BEGIN
   Lib.Sound(700);
   Lib.Delay(d);
   Lib.Sound(900);
   Lib.Delay(d);
   Lib.NoSound;
END Ay;

PROCEDURE MusicIni(d : CARDINAL);
VAR
   n, b : CARDINAL;
BEGIN
   n := d;
   b := 2*d;
   Nota(re, n);
   Nota(la, n);
   Nota(la, b);
   Nota(re, n);
   Nota(la, n);
   Nota(la, b);
   Nota(sol, n);
   Nota(fa, n);
   Nota(mi, n);
   Nota(re, n);
   Nota(mi, n);
   Nota(re, n);
   Nota(re, n);
END MusicIni;

PROCEDURE MusicFin(d : CARDINAL);
VAR
   n, b : CARDINAL;
BEGIN
   n := d;
   b := 2*d;
   Nota(re, n);
   Nota(la, n);
   Nota(la, b);
   Nota(re, n);
   Nota(la, n);
   Nota(la, b);
   Nota(sol, n);
   Nota(fa, n);
   Nota(mi, n);
   Nota(do4, n);
   Nota(re, b);
END MusicFin;

BEGIN
END Music.